export declare class Navigator {
    static getUserVideoMedia(): Promise<MediaStream> | null;
    /**
     * Returns the latitude and longitude determined by the used Browser if available.
     */
    static getGeoLocation(): void;
    static isMobile(): boolean;
    static isIE(): boolean;
    static currentUrl(): URL;
    static getUrlParam(name: string): string | null;
    static getPath(): string;
    static reload(): void;
    static goBack(): void;
}
